.custom-media-player {
  height: 350px;
  background: #000;

  img,
  video {
    width: 100%;
    max-height: 100%;
  }

  video {
    margin-bottom: -6px;
  }

  .media-tools.fs-toggle {
    right: 10px;
  }

  .media-tools.play-pause {
    left: 10px;
  }

  .media-tools {
    transition: opacity 0.5s;
    position: absolute;
    font-size: 25px;
    bottom: 10px;
    color: #fff;
    opacity: 0.3;
    user-select: none;

    &:hover {
      transition: opacity 0.2s;
      opacity: 1 !important;
    }
  }

  .carouselContent {
    display: flex !important;
    height: 350px;
    align-content: center;

    img,
    video {
      object-fit: contain;
    }
  }

  .ant-carousel .slick-dots {
    display: flex !important;
    flex-direction: row;
    top: 5px;

    li,
    li.slick-active {
      display: flex;
      flex: auto;

      button {
        width: 100%;
        height: 7px;
        border-radius: 7px;
      }
    }
  }
}

.custom-media-player:hover {
  .media-tools {
    opacity: 0.7;
  }
}

.media-fullscreen {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 3000;
  background: #333;

  .custom-media-player,
  .carouselContent {
    height: 100vh;
  }

  .media-tools {
    font-size: 35px;
  }

  .ant-carousel .slick-dots {
    li.slick-active > button,
    li > button {
      height: 10px;
      border-radius: 10px;
    }
  }
}

.media-carousel.omit-effect .slick-slide {
  transition: none !important;
}
